> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timesdb.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List Predictions



## OpenAPI

````yaml get /predictions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /predictions:
    get:
      tags:
        - predictions
      summary: List Predictions
      operationId: list_predictions_predictions_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CursorPage_PredictionResponse_'
      security:
        - HTTPBearer: []
        - APIKeyHeader: []
components:
  schemas:
    CursorPage_PredictionResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PredictionResponse'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
          title: Total
          description: Total items
        current_page:
          anyOf:
            - type: string
          title: Current Page
          description: Cursor to refetch the current page
        current_page_backwards:
          anyOf:
            - type: string
          title: Current Page Backwards
          description: Cursor to refetch the current page starting from the last item
        previous_page:
          anyOf:
            - type: string
          title: Previous Page
          description: Cursor for the previous page
        next_page:
          anyOf:
            - type: string
          title: Next Page
          description: Cursor for the next page
      type: object
      required:
        - items
      title: CursorPage[PredictionResponse]
    PredictionResponse:
      properties:
        id:
          type: string
          title: Id
        ai_model_id:
          type: string
          title: Ai Model Id
        status:
          $ref: '#/components/schemas/PredictionStatus'
        input_series:
          anyOf:
            - items:
                $ref: '#/components/schemas/SeriesItem'
              type: array
          title: Input Series
        prediction_series:
          anyOf:
            - items:
                $ref: '#/components/schemas/SeriesItem'
              type: array
          title: Prediction Series
        input_series_id:
          type: string
          title: Input Series Id
        prediction_series_id:
          anyOf:
            - type: string
          title: Prediction Series Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - ai_model_id
        - status
        - input_series
        - prediction_series
        - input_series_id
        - prediction_series_id
        - created_at
      title: PredictionResponse
    PredictionStatus:
      type: string
      enum:
        - QUEUED
        - IN_PROGRESS
        - COMPLETED
        - FAILED
      title: PredictionStatus
    SeriesItem:
      properties:
        timestamp:
          type: string
          format: date-time
          title: Timestamp
        value:
          type: number
          title: Value
        metadata:
          type: object
          title: Metadata
      type: object
      required:
        - timestamp
        - value
      title: SeriesItem
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.